URL structure
{orgId} is the ID of an organization and {labelId} is the ID of one of this organization’s classifications.
Supported methods and overview
GET- used to retrieve information about an organization’s classification, based on the classification’s ID.DELETE- used to delete an organization’s classification.
Both of these methods take no parameters.
Detailed description
This API endpoint serves a number of purposes:-
Retrieves information about an organization’s classification, using the classification’s ID. A classification’s ID can be obtained by calling the
GETmethod of the <access-service>/api/v1/organisations/{orgId}/labels API endpoint, which retrieves a list of information for all classifications in an organization.
Tip: All information (except the description member) returned in the response from aGETmethod call to this API endpoint is also returned in the response from aGETmethod call to the <access-service>/api/v1/organisations/{orgId}/labels endpoint. Therefore, if you do not require a classification’s description when retrieving information about the classification, there is no need to call theGETmethod on this API endpoint. -
Deletes a classification from an organization.
Important: Deleting a classification also removes:
Supported roles
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator’s and Organization Administrator’s Guides) and conditions:- Organization administrator, Originator, Collaborator, Ad hoc - using the
GETmethod, if this user is a member of the organization specified by the{orgId}of the request’s URL. - Organization administrator - using the
DELETEmethod, if this user is a member of the organization specified by the{orgId}of the request’s URL. - Safe Share administrator - using the
GETmethod.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns from a GET request
A JSON-formatted response containing the following members:- id - .
- name - .
- description - .
- priority - . Example (response from …):
Returns from a DELETE request
If the request succeeded, then an HTTP response status200 OK is returned.
